Skip to main content
GET
Account State

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

movie_id
integer
required

The ID of the movie

Query Parameters

session_id
string

The session ID for user authentication

guest_session_id
string

The guest session ID for user authentication

Response

200 - application/json

Successful

id
integer

A unique identifier for a specific item

favorite
boolean

Indicates whether the item is marked as a favorite

rated
object

A collection of objects representing ratings given to items

watchlist
boolean

Indicates whether the item is included in a user’s watchlist